Start Experiment

Reference for the PUT /console/v1/experiments/{id}/start endpoint of the Statsig API.

puthttps://statsigapi.net/console/v1/experiments/{id}/start

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Body

application/json
analysisStartTimestring

For Warehouse Native analysis-only experiments; start time of experiment analysis.

Example:2024-10-01
analysisEndTimestring

For Warehouse Native analysis-only experiments; end time of experiment analysis.

Example:2024-10-30
turboModeboolean

For Warehouse Native analysis-only experiments; whether to run the initial analysis in turbo mode

Example:false

Response

application/json
200· Start Experiment Success
Other properties1
messagestring
400· Experiment has not yet started
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired
404· Experiment not found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?